import { RecordState } from "../proxy/RecordState";
/**
 *
 */
export class SdaSelectedWorkPackageState extends RecordState {
    constructor(value) {
        super(value);
    }
    // --- State Management Helpers --- //
    static createFromWorkPackageState(workPackageState) {
        const selectedWorkPackageState = new SdaSelectedWorkPackageState({
            id: workPackageState.id(),
            properties: [],
            annotations: [],
            type: "hxgn.api.dialog.Record"
        });
        selectedWorkPackageState.setCreationDate(workPackageState.creationDate());
        selectedWorkPackageState.setDescription(workPackageState.description());
        selectedWorkPackageState.setDisciplines(workPackageState.disciplines());
        selectedWorkPackageState.setId(workPackageState.id());
        selectedWorkPackageState.setLastUpdateDate(workPackageState.lastUpdateDate());
        selectedWorkPackageState.setName(workPackageState.name());
        return selectedWorkPackageState;
    }
    // --- State Management --- //
    creationDate() {
        return this.getPropertyValue(SdaSelectedWorkPackageState.CREATION_DATE_PROPERTY_NAME);
    }
    setCreationDate(value) {
        this.setPropertyValue(SdaSelectedWorkPackageState.CREATION_DATE_PROPERTY_NAME, value);
    }
    description() {
        return this.getPropertyValue(SdaSelectedWorkPackageState.DESCRIPTION_PROPERTY_NAME);
    }
    setDescription(value) {
        this.setPropertyValue(SdaSelectedWorkPackageState.DESCRIPTION_PROPERTY_NAME, value);
    }
    disciplines() {
        return this.getPropertyValue(SdaSelectedWorkPackageState.DISCIPLINES_PROPERTY_NAME);
    }
    setDisciplines(value) {
        this.setPropertyValue(SdaSelectedWorkPackageState.DISCIPLINES_PROPERTY_NAME, value);
    }
    id() {
        return this.getPropertyValue(SdaSelectedWorkPackageState.ID_PROPERTY_NAME);
    }
    setId(value) {
        this.setPropertyValue(SdaSelectedWorkPackageState.ID_PROPERTY_NAME, value);
    }
    lastUpdateDate() {
        return this.getPropertyValue(SdaSelectedWorkPackageState.LAST_UPDATE_DATE_PROPERTY_NAME);
    }
    setLastUpdateDate(value) {
        this.setPropertyValue(SdaSelectedWorkPackageState.LAST_UPDATE_DATE_PROPERTY_NAME, value);
    }
    name() {
        return this.getPropertyValue(SdaSelectedWorkPackageState.NAME_PROPERTY_NAME);
    }
    setName(value) {
        this.setPropertyValue(SdaSelectedWorkPackageState.NAME_PROPERTY_NAME, value);
    }
}
SdaSelectedWorkPackageState.CREATION_DATE_PROPERTY_NAME = "Creation_Date";
SdaSelectedWorkPackageState.DESCRIPTION_PROPERTY_NAME = "Description";
SdaSelectedWorkPackageState.DISCIPLINES_PROPERTY_NAME = "Disciplines";
SdaSelectedWorkPackageState.ID_PROPERTY_NAME = "Id";
SdaSelectedWorkPackageState.LAST_UPDATE_DATE_PROPERTY_NAME = "Last_Update_Date";
SdaSelectedWorkPackageState.NAME_PROPERTY_NAME = "Name";
