import { RecordSetState } from "../proxy/RecordSetState";
import { SdaWorkPackageState } from "./SdaWorkPackageState";
/**
 *
 */
export class SdaWorkPackagesState extends RecordSetState {
    constructor(value) {
        super(value);
    }
    // --- State Management Helpers --- //
    static emptyRecordSet() {
        return new SdaWorkPackagesState(super.emptyRecordSet().internalValue());
    }
    // --- State Management --- //
    findRecordAtId(id) {
        return super.findRecordAtId(id);
    }
    insertBriefcaseFieldsUsingSelections(selectedWorkPackageIds) {
        const workPackages = this.internalValue().records;
        if (workPackages) {
            for (const r of workPackages) {
                let inBriefcase = false;
                for (const selectedId of selectedWorkPackageIds) {
                    if (r.id === selectedId) {
                        inBriefcase = true;
                        break;
                    }
                }
                const briefcaseField = {
                    "name": "briefcase",
                    "annotations": [],
                    "type": "hxgn.api.dialog.Property",
                    "value": inBriefcase
                };
                r.properties.push(briefcaseField);
            }
        }
    }
    *records() {
        let index = 0;
        while (index < this.internalValue().records.length) {
            yield new SdaWorkPackageState(this.internalValue().records[index++]);
        }
    }
}
