import { Binary } from './Binary';
/**
 * Represents a base64 encoded binary
 */
export declare class EncodedBinary implements Binary {
    private _data;
    private _mimeType;
    constructor(_data: string, _mimeType?: string);
    /**
     * Get the base64 encoded data
     * @returns {string}
     */
    readonly data: string;
    /**
     * Get the mime-type
     * @returns {string|string}
     */
    readonly mimeType: string;
    /**
     * Returns a 'data url' representation of this binary, including the encoded data
     * @returns {string}
     */
    toUrl(): string;
}
