import { GraphDataPoint } from './GraphDataPoint';
import { View } from './View';
/**
 * A view describing how to display a collection of data as a line graph, pie chart, bar chart, etc.
 */
export declare class Graph extends View {
    static GRAPH_TYPE_CARTESIAN: string;
    static GRAPH_TYPE_PIE: string;
    static PLOT_TYPE_BAR: string;
    static PLOT_TYPE_BUBBLE: string;
    static PLOT_TYPE_LINE: string;
    static PLOT_TYPE_SCATTER: string;
    static PLOT_TYPE_STACKED: string;
    readonly graphType: string;
    readonly displayQuadrantLines: boolean;
    readonly identityDataPoint: GraphDataPoint;
    readonly groupingDataPoint: GraphDataPoint;
    readonly dataPoints: GraphDataPoint[];
    readonly filterDataPoints: GraphDataPoint[];
    readonly sampleModel: string;
    readonly xAxisLabel: string;
    readonly xAxisRangeFrom: number;
    readonly xAxisRangeTo: number;
    readonly yAxisLabel: string;
    readonly yAxisRangeFrom: number;
    readonly yAxisRangeTo: number;
}
