/**
 * A property definition describes a particular value of a business entity. Business entities are transacted as records,
 * therefore properties and lists of properties are referred to as fields and records. Moreover, a list of property definitions
 * is referred to as a record definition and is the metadata describing the read/write capabilities of a specific dialog model
 * in use by a specific user in a specific workflow.
 * Contains information that 'defines' a property {@link Property} (name/value)
 * An instance of the {@link Property} contains the actual data value.
 */
export declare class PropertyDef {
    readonly canCauseSideEffects: boolean;
    readonly contentType: string;
    readonly displayLength: number;
    readonly displayScale: number;
    readonly format: string;
    readonly length: number;
    readonly propertyName: string;
    readonly scale: number;
    readonly semanticType: string;
    readonly propertyType: string;
    readonly writeAllowed: boolean;
    readonly writeEnabled: boolean;
    constructor(canCauseSideEffects: boolean, contentType: string, displayLength: number, displayScale: number, format: string, length: number, propertyName: string, scale: number, semanticType: string, propertyType: string, writeAllowed: boolean, writeEnabled: boolean);
    readonly isBarcodeType: boolean;
    readonly isByteFormat: boolean;
    readonly isBooleanType: boolean;
    readonly isCodeRefType: boolean;
    readonly isDateType: boolean;
    readonly isDateTimeType: boolean;
    readonly isDecimalType: boolean;
    readonly isDoubleType: boolean;
    readonly isEmailType: boolean;
    readonly isFileAttachment: boolean;
    readonly isFloatType: boolean;
    readonly isGpsReadingType: boolean;
    readonly isMapLocationType: boolean;
    readonly isHTMLType: boolean;
    readonly isInlineMediaStyle: boolean;
    readonly isListType: boolean;
    readonly isIntType: boolean;
    readonly isLongType: boolean;
    readonly isMoneyType: boolean;
    readonly isNumericType: boolean;
    readonly isLargePropertyType: boolean;
    readonly isObjRefType: boolean;
    readonly isPasswordType: boolean;
    readonly isPercentType: boolean;
    readonly isSignatureType: boolean;
    readonly isStringType: boolean;
    readonly isTelephoneType: boolean;
    readonly isTextBlock: boolean;
    readonly isTimeType: boolean;
    readonly isUnformattedNumericType: boolean;
    readonly isURLType: boolean;
}
