import { PropertyDef } from './PropertyDef';
/**
 * In the same way that a {@link PropertyDef} describes a {@link Property}, a RecordDef describes an {@link Record}.
 * It is composed of {@link PropertyDef}s while the {@link Record} is composed of {@link Property}s.
 * In other words it describes the structure or makeup of a row or record, but does not contain the data values themselves.
 * The corresponding {@link Record} contains the actual values.
 */
export declare class RecordDef {
    readonly propertyDefs: PropertyDef[];
    readonly propCount: number;
    propDefAtName(name: string): PropertyDef;
    readonly propNames: string[];
}
