export declare class PersistenceTools {
    static ACTIONS: string;
    static AVAILABLE_VALUES: string;
    static AVAILABLE_VIEWS: string;
    static DIALOGS: string;
    static RECORD: string;
    static RECORDS: string;
    static REDIRECTIONS: string;
    static SELECTED_VIEW: string;
    static SESSIONS: string;
    static TENANTS: string;
    static VIEW_MODE: string;
    static WORKBENCHES: string;
    static deleteAllDialogState(tenantId: string, userId: string, dialogId: string): void;
    static deleteAllDialogStateFor(tenantId: string, userId: string, dialog: any): void;
    static deleteAllState(tenantId: string, userId: string): void;
    static deleteAllWorkbenchNavigation(tenantId: string, userId: string, navigationKey: string): void;
    static deleteDialogAliasState(tenantId: string, userId: string, dialogId: string): void;
    static deleteDialogParentState(tenantId: string, userId: string, childId: string): void;
    static deleteDialogReferringAliasState(tenantId: string, userId: string, dialogId: string): void;
    static deleteDialogState(tenantId: string, userId: string, dialogId: string): void;
    static deleteNavigationState(tenantId: string, userId: string, navigationId: string): void;
    static deletePersistentState(tenantId: string, userId: string, stateId: string): void;
    static deleteRecordSetState(tenantId: string, userId: string, dialogId: string): void;
    static deleteRecordState(tenantId: string, userId: string, dialogId: string): void;
    static deleteRedirectionState(tenantId: string, userId: string, redirectionId: string): void;
    static deleteSessionState(tenantId: string, userId: string): void;
    static findDialogState(tenantId: string, userId: string, dialogId: string): any;
    static findDialogStateWithin(tenantId: string, userId: string, dialog: any, targetId: string): any;
    static findRecordProperty(record: any, propertyName: string): any;
    static findRootDialogState(tenantId: string, userId: string, dialogId: string): any;
    static isDeleteSession(path: string[]): boolean;
    static isGetAvailableViews(path: string[]): boolean;
    static isGetDialog(path: string[]): boolean;
    static isGetRecord(path: string[]): boolean;
    static isGetRedirection(path: string[]): boolean;
    static isGetSelectedView(path: string[]): boolean;
    static isGetSession(path: string[]): boolean;
    static isGetTenant(path: string[]): boolean;
    static isGetTenants(path: string[]): boolean;
    static isGetViewMode(path: string[]): boolean;
    static isGetWorkbenches(path: string[]): boolean;
    static isPostAvailableValues(path: string[]): boolean;
    static isPostMenuAction(path: string[]): boolean;
    static isPostRecords(path: string[]): boolean;
    static isPostSession(path: string[]): boolean;
    static isPostWorkbenchAction(path: string[]): boolean;
    static isPutRecord(path: string[]): boolean;
    static isPutSelectedView(path: string[]): boolean;
    static isPutViewMode(path: string[]): boolean;
    static readDialogAliasState(tenantId: string, userId: string, dialogId: string): any;
    static readDialogParentState(tenantId: string, userId: string, childId: string): any;
    static readDialogReferringAliasState(tenantId: string, userId: string, dialogId: string): any;
    static readDialogState(tenantId: string, userId: string, dialogId: string): any;
    static readNavigationState(tenantId: string, userId: string, navigationId: string): any;
    static readPersistentState(tenantId: string, userId: string, stateId: string): any;
    static readRecordSetState(tenantId: string, userId: string, dialogId: string): any;
    static readRecordState(tenantId: string, userId: string, dialogId: string): any;
    static readRedirectionState(tenantId: string, userId: string, redirectionId: string): any;
    static readSessionState(tenantId: string, userId: string): any;
    static updateRecordPropertyValue(record: any, propertyName: string, value: any): boolean;
    static writeAllDialogParentState(tenantId: string, userId: string, parent: any): void;
    static writeDialogAliasState(tenantId: string, userId: string, dialogId: string, alias: any): void;
    static writeDialogParentState(tenantId: string, userId: string, child: any, childIndex: number, parent: any): void;
    static writeDialogReferringAliasState(tenantId: string, userId: string, dialogId: string, referringAlias: any): void;
    static writeDialogState(tenantId: string, userId: string, dialog: any): void;
    static writePersistentState(tenantId: string, userId: string, stateId: string, state: any): void;
    static writeRecordSetState(tenantId: string, userId: string, dialogId: string, recordSet: any): any;
    static writeRecordState(tenantId: string, userId: string, dialogId: string, record: any): any;
    static writeNavigationState(tenantId: string, userId: string, navigation: any): void;
    static writeRedirectionState(tenantId: string, userId: string, redirection: any): void;
    static writeSessionState(session: any): void;
}
